Search documentation of polar_express

# PolarExpress.Services.OrganizationAccessTokensService (polar_express v0.1.5)

Copy Markdown View Source

OrganizationAccessTokens

OrganizationAccessTokens API operations.

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create

delete(client, id, params \\ %{}, opts \\ [])

Delete

list(client, params \\ %{}, opts \\ [])

List

update(client, id, params \\ %{}, opts \\ [])

Update

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.OrganizationAccessTokenCreateResponse.t()}
      | {:error, PolarExpress.Error.t()}

Create

Scopes: `organization_access_tokens:write`

See `PolarExpress.Params.OrganizationAccessTokensCreateParams` for parameter details.

# delete(client, id, params \\ %{}, opts \\ [])

    @spec delete(PolarExpress.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, PolarExpress.Error.t()}

Delete

Scopes: `organization_access_tokens:write`

See `PolarExpress.Params.OrganizationAccessTokensDeleteParams` for parameter details.

# list(client, params \\ %{}, opts \\ [])

    @spec list(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.ListObject.t()} | {:error, PolarExpress.Error.t()}

List

List organization access tokens.

Scopes: `organization_access_tokens:read` `organization_access_tokens:write`

See `PolarExpress.Params.OrganizationAccessTokensListParams` for parameter details.

# update(client, id, params \\ %{}, opts \\ [])

    @spec update(PolarExpress.Client.t(), String.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.OrganizationAccessToken.t()}
      | {:error, PolarExpress.Error.t()}

Update

Scopes: `organization_access_tokens:write`

See `PolarExpress.Params.OrganizationAccessTokensUpdateParams` for parameter details.